WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: tcc depends on old version of linux api headers for Tiny Core v12.0  (Read 965 times)

Offline g_dg

  • Newbie
  • *
  • Posts: 3
The tcc.tcz package in the 12.x x86 repo depends on the api headers for the Tiny Core v11 kernel ("linux-5.4_api_headers.tcz") instead of the headers for the v12 kernel ("linux-v5.10_api_headers.tcz").

Since the v11 kernel api headers tcz doesn't exist in the v12 repo, you can't install tcc without manually downloading it and its dependencies.

Online Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 13804
dep file adjusted - thanks for reporting this

Offline Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 10148
Hi g_dg
Thank you for reporting this. Fixed in both x86 and x86_64 repos. You can fetch a fresh copy of the dependency file
or change  5.4  to  5.10  in your local copy if you wish.